Update Batch Transfer Status
POST/v2/customers/:customerId/batch-transfers/:batchTransferId/status
Updates the status of a batch transfer. To prepare the batch for execution you should use POST /v2/customers/{customerId}/batch-transfers/{batchTransferId}/status
{
"status": "PENDING"
}
This will update the status of the batch to PENDING and you won't be able to modify the transfers in the batch anymore. All balance checks will be performed.
To confirm the batch for execution POST /v2/customers/{customerId}/batch-transfers/{batchTransferId}/status:
{
"status": "PROCESSING"
}
Request is accepted asynchronously; response is 202 Accepted with the BatchTransfer.
To check the batch status and details use GET /v2/customers/{customerId}/batch-transfers/{batchTransferId}.
Moving the batch to PROCESSING may require Strong Customer Authentication (SCA). When the 202 response body has action: SCA, complete SCA using your existing outsourced SCA flow, then call this endpoint again with status: PROCESSING and scaDetails containing the eventId and walletOperationId returned in that response.
Request
Responses
- 202
- 400
- 401
- 403
- 404
- 409
- 500
- 503
Accepted. Returns the BatchTransfer with the updated status.
Bad Request
Unauthorized
Forbidden
Not Found
Conflict. The batch transfer cannot be updated (for example, invalid status transition or batch not in an allowed state).
Internal Server Error
Service Unavailable. Please try again later.